Subject: [Errata Rejected] RFC7257 (4059)

From: RFC Errata System <[email-masked]>
Date: Thu, 20 Nov 2014 08:58:34 -0800 (PST)

The following errata report has been rejected for RFC7257,
"Virtual Private LAN Service (VPLS) Management Information Base".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7257&eid=4059

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Alexander ("Sasha") Vainshtein <[email-masked]>
Date Reported: 2014-07-23
Rejected by: Adrian Farrel (IESG)

Section: 6

Original Text
-------------
N/A - this is about some missing MIB objects that should be there

Corrected Text
--------------
N/A - this is hardly the right place to define missing MIB objects

Notes
-----
As per RFC 4762 (which defines at least one of the two VPLS types for which this RFC defines Management Information Base), Virtual Switching Instance (VSI)(a local representation of a given VPLS instance within a given PE) is connected to CE devices via Attachment Circuits (AC). Hence I would expect that Management Information Base for VPLS would provide for some representation of ACs that perform this function for a given VSI.

However, this RFC does not even mention attachment circuits in any way.

I have tried to raise this issue with the WG and the authors. One of the authors has replied (see http://www.ietf.org/mail-archive/web/l2vpn/current/msg04539.html) that "ACs are attached to the VPLS instances and are represented as IfMIB entries". However, neither Interfaces MIB nor any of its key elements (e.g., ifIndex) are mentioned in this RFC.
 --VERIFIER NOTES-- 
The errata system isn't to be used for recording future work or major defects in RFCs. These need to be taken to the relevant mailing lists (in this case [email-masked]) and progressed with Internet-Drafts.

This concern could probably be addressed through a new MIB module that augments the on in RFC 7257.

--------------------------------------
RFC7257 (draft-ietf-l2vpn-vpls-mib-15)
--------------------------------------
Title               : Virtual Private LAN Service (VPLS) Management Information Base
Publication Date    : July 2014
Author(s)           : T. Nadeau, Ed., A. Kiran Koushik, Ed., R. Mediratta, Ed.
Category            : PROPOSED STANDARD
Source              : Layer 2 Virtual Private Networks
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Alexander Vainshtein <[email-masked]>
Date: Sun, 23 Nov 2014 06:38:32 +0000

Rohit,
Lots of thanks for your response.

Unfortunately I cannot say it addresses my concerns.

The erratum I've submitted has been about missing definition of VPLS Attachment Circuits as defined in RFC 4665; this definition equally applies both for VPLS implementing RFC 4762 and for those implementing RFC 4761.
RFC 4762  clarifies that "the attachment circuit (AC) connected to the customer could be a physical Ethernet port, a    logical (tagged) Ethernet port, an ATM PVC carrying Ethernet frames, etc., or even an Ethernet PW". The last case in this list is out of scope of my erratum, but all the rest are. 

>From my POV the VPLS MIB should support the following minimal set of operations for a VPLS AC:

- List a given attachment circuits belonging to a given VPLS instance (read-only)
- Add a new attachment circuit to a given VPLS instance, preferably without disrupting forwarding via already existing ACs or PWs attached to this VPLS instance (read-write). This basic operation should be as simple as possible
- Remove an attachment circuit from a VPLS instance, preferably without disrupting forwarding via already existing ACs or PWs attached to this VPLS instance (read-write).

Coming back to RFC 7257, my reading did not find any explicit mention of attachment circuits (easy to check!).
This, by and of itself, looks problematic to me.

Implicit reference to attachment circuits via the PW MIBs is also problematic because:
- RFC 5061 only mentions attachment circuits in the following context: "When the PW is managed as an ifIndex, by default it SHOULD NOT be stacked, i.e., this ifIndex SHOULD NOT be layered above the respective PSN tunnel ifIndex or the attachment circuit ifIndex or the interface carrying the attachment circuit." 
- RFC 5062 does not mention attachment circuits at all
- RFC 5603 (Ethernet PW MIB) allows association of one or more pairs {Ethernet Port, VLAN} with a given Ethernet PW instance  with the Ethernet port being represented by its ifIndex (pwEnetPortIfIndex). However, it explicitly states in description of pwEnetPortIfIndex  that "This object is used to specify the ifIndex of the Ethernet port associated with this PW for point-to-point Ethernet service, or the ifIndex of the virtual interface of the VPLS instance associated with the PW if the service is VPLS".  From my POV this means that Ethernet PWs associated with a VPLS instance cannot refer via this attribute to any Ethernet ports.

Last, but not least, I'd like to mention Tom's response to my question on the mailing list (referenced and quoted in the original Erratum). To the best of my understanding it does not match your response.

I agree with the Adrian that errata are not intended for fixing major gaps in already approved and published RFCs.

I will consider posting a draft (7257bis) fixing this problem, and I would be glad to work together with you and/or the rest of the authors of the original 7257 in this.

Regards,
Sasha 

________________________________________
From: Rohit Mediratta (romedira) <[email-masked]>
Sent: Thursday, November 20, 2014 8:55 PM
To: RFC Errata System; Alexander Vainshtein; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [Errata Rejected] RFC7257 (4059)

Hi Alexander,
  The mapping is done through the PW-MIB. The pwIndex is an index into vplsPwBindEntry of the VPLS-MIB.
Please refer to Figure 1 of RFC 7257 for the linkage.

Thanks,
Rohit

-----Original Message-----
From: RFC Errata System [mailto:[email-masked]]
Sent: Thursday, November 20, 2014 8:59 AM
To: [email-masked]; [email-masked]; [email-masked]; Rohit Mediratta (romedira)
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: [Errata Rejected] RFC7257 (4059)

The following errata report has been rejected for RFC7257, "Virtual Private LAN Service (VPLS) Management Information Base".

Section: 6

Original Text
-------------

Corrected Text
--------------

Notes
-----